<xml> </xml>

db4o |

# SymbianIoAdapter Methods

The methods of the SymbianIoAdapter class are listed below. For a complete list of SymbianIoAdapter class members, see the SymbianIoAdapter Members topic.

#### Public Instance Methods

BlockCopy (inherited from IoAdapter) | copies a block within a file in block mode
BlockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
BlockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
Close (inherited from RandomAccessFileAdapter) |
Copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Delete (inherited from RandomAccessFileAdapter) |
Equals (inherited from Object) |
Exists (inherited from RandomAccessFileAdapter) |
GetHashCode (inherited from Object) |
GetLength |
GetType (inherited from Object) |
Open |
Read | Overloaded.
Read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
Seek |
Sync (inherited from RandomAccessFileAdapter) |
ToString (inherited from Object) |
Write | Overloaded.
Write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
RegularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

SymbianIoAdapter Class | com.db4o.io Namespace